from __future__ import absolute_import

import collections
import numpy as np


class PointingErrors(object):
    """Class to generate simulated pointing errors.
    """

    def __init__(self, parameters):
        self.parameters = parameters
        self.result = collections.OrderedDict()

    def run(self):
        print 'PointingErrors.run'
        control = self.parameters['substages']['SimulatorControl']

        # row number in the spreadsheet
        row = control['PointingErrors'].keys()[0]
        pointingerrors = control['PointingErrors'][row]
        pointingerrors = int(round(pointingerrors))

        if pointingerrors:
            print 'ERROR: pointing errors not yet implemented'
        else:
            # dummy nbtot for now
            nbtot = 10
            pointing_err_rad = np.zeros([nbtot,2])
            pointing_err_xy = np.zeros([nbtot,2])
            pointing_err_t1 = np.zeros([nbtot,2])
            pointing_err_t2 = np.zeros([nbtot,2])

        return self.result

    def __repr__(self):
        return 'PointingErrors'

